package com.bonus.canteen.core.allocation.canteen.param;

import com.bonus.canteen.core.common.utils.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("食堂档口 param")
public class AllocCanteenStallPageParam extends PageDTO {
   @ApiModelProperty("区域id")
   private Long areaId;
   private List<Long> areaIdList;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("档口业务类型")
   private Integer stallType;
   @ApiModelProperty("餐线名称")
   private String mealLineName;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("食堂/档口 id")
   private Long commonId;
   @ApiModelProperty("食堂业务类型")
   private Integer canteenType;
   @ApiModelProperty("食堂树类型")
   private Integer canteenTreeType;

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getStallType() {
      return this.stallType;
   }

   public String getMealLineName() {
      return this.mealLineName;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Long getCommonId() {
      return this.commonId;
   }

   public Integer getCanteenType() {
      return this.canteenType;
   }

   public Integer getCanteenTreeType() {
      return this.canteenTreeType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setStallType(final Integer stallType) {
      this.stallType = stallType;
   }

   public void setMealLineName(final String mealLineName) {
      this.mealLineName = mealLineName;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCommonId(final Long commonId) {
      this.commonId = commonId;
   }

   public void setCanteenType(final Integer canteenType) {
      this.canteenType = canteenType;
   }

   public void setCanteenTreeType(final Integer canteenTreeType) {
      this.canteenTreeType = canteenTreeType;
   }

}
